org.apache.hadoop.mapred.nativetask.buffer

## Class ByteBufferDataReader

- java.lang.Object
- - java.io.InputStream
  - - org.apache.hadoop.mapred.nativetask.buffer.DataInputStream
    - - org.apache.hadoop.mapred.nativetask.buffer.ByteBufferDataReader

- All Implemented Interfaces:
    Closeable, DataInput, AutoCloseable

      @InterfaceAudience.Private
      public class ByteBufferDataReader
      extends DataInputStream

  read data from a input buffer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteBufferDataReader(InputBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `hasUnReadData()`
    `int` | `read()`
    `int` | `read(byte[] b, int off, int len)`
    `boolean` | `readBoolean()`
    `byte` | `readByte()`
    `char` | `readChar()`
    `double` | `readDouble()`
    `float` | `readFloat()`
    `void` | `readFully(byte[] b)`
    `void` | `readFully(byte[] b, int off, int len)`
    `int` | `readInt()`
    `String` | `readLine()`
    `long` | `readLong()`
    `short` | `readShort()`
    `int` | `readUnsignedByte()`
    `int` | `readUnsignedShort()`
    `String` | `readUTF()`
    `void` | `reset(InputBuffer buffer)`
    `int` | `skipBytes(int n)`

    - ### Methods inherited from class java.io.InputStream

      `available, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteBufferDataReader

          public ByteBufferDataReader(InputBuffer buffer)

  - ### Method Detail

    - #### reset

          public void reset(InputBuffer buffer)

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] b,
                          int off,
                          int len)
                   throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### readFully

          public void readFully(byte[] b)
                         throws IOException

      Throws:
        `IOException`

    - #### readFully

          public void readFully(byte[] b,
                                int off,
                                int len)
                         throws IOException

      Throws:
        `IOException`

    - #### skipBytes

          public int skipBytes(int n)
                        throws IOException

      Throws:
        `IOException`

    - #### readBoolean

          public boolean readBoolean()
                              throws IOException

      Throws:
        `IOException`

    - #### readByte

          public byte readByte()
                        throws IOException

      Throws:
        `IOException`

    - #### readUnsignedByte

          public int readUnsignedByte()
                               throws IOException

      Throws:
        `IOException`

    - #### readShort

          public short readShort()
                          throws IOException

      Throws:
        `IOException`

    - #### readUnsignedShort

          public int readUnsignedShort()
                                throws IOException

      Throws:
        `IOException`

    - #### readChar

          public char readChar()
                        throws IOException

      Throws:
        `IOException`

    - #### readInt

          public int readInt()
                      throws IOException

      Throws:
        `IOException`

    - #### readLong

          public long readLong()
                        throws IOException

      Throws:
        `IOException`

    - #### readFloat

          public float readFloat()
                          throws IOException

      Throws:
        `IOException`

    - #### readDouble

          public double readDouble()
                            throws IOException

      Throws:
        `IOException`

    - #### readLine

          public String readLine()
                          throws IOException

      Throws:
        `IOException`

    - #### readUTF

          public final String readUTF()
                               throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `InputStream`
      Throws:
        `IOException`

    - #### hasUnReadData

          public boolean hasUnReadData()

      Specified by:
        `hasUnReadData` in class `DataInputStream`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.